%define product   itools
%define version   0.7.4
%define release   5

%define zope_home %{_prefix}/lib/zope
%define software_home %{zope_home}/lib/python


Summary:   ReportLab library to create PDF documents using Python
Name:      python2.4-%{product}
Version:   %{version}
Release:   %mkrel %{release}
License:   LGPL
Group:     Development/Python
URL:       http://www.ikaaro.org/itools
Source:    python-%{product}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-rootdir
BuildRequires: python2.4
Requires:      python2.4 >= 2.3
Conflicts:     itools
BuildArch: noarch

#----------------------------------------------------------------------
%description
Itools is a Python package that encapsulates several Python tools
developed by the Itaapy company and other developers. The provided
tools are:

 * itools.uri -- an API to manage URIs, to identify and locate resources.

 * itools.resources -- an abstraction layer over resources that let to
   manage them with a consistent API, independently of where they are stored.

 * itools.handlers -- resource handlers infrastructure (resource
   handlers are non persistent classes that add specific semantics to
   resources). This package also includes several handlers out of the
   box.

 * itools.xml -- XML infrastructure, includes resource handlers for XML,
   XHTML and HTML documents. Plus the Simple Template Language.

 * itools.i18n -- tools for language negotiation and text segmentation.

 * itools.workflow -- represent workflows as automatons, objects can move
   from one state to another through transitions, classes can add specific
   semantics to states and transitions.

 * itools.catalog -- An Index & Search engine.

#----------------------------------------------------------------------
%prep
%setup -q -n python-%{product}-%{version}

%build
python2.4 setup.py build

%install
python2.4 setup.py install --root=%{buildroot} --record=INSTALLED_FILES

%clean
%{__rm} -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(644,root,root,755)


%changelog
* Mon Apr 23 2007 Yoshinori Okuji <yo@nexedi.com> 0.7.4-5nxd2007.0
- Build for noarch

* Mon Jan 22 2007 Kevin Deldycke <kevin@nexedi.com> 0.7.4-4mdv2007.0
- Rebuild for Mandriva 2007.0

* Wed Jan 5 2006 Kevin Deldycke <kevin@nexedi.com> 0.7.4-3mdk
- Update spec file to follow Mandriva 2006 rules

* Tue Apr 26 2005 Yoshinori Okuji <yo@nexedi.com> 0.7.4-2mdk
- Rename the package to python-itools

* Sun Apr 24 2005 Yoshinori Okuji <yo@nexedi.com> 0.7.4-1mdk
- Initial release
